org.apache.ignite.internal.util.nio

## Interface SessionWriteRequest

    public interface SessionWriteRequest

### Method Summary

Methods
`IgniteInClosure<IgniteException>` `ackClosure()`
`Object` `message()`
`boolean` `messageThread()`
`void` `messageThread(boolean msgThread)` Sets flag indicating that message send future was created in thread that was processing a message.
`void` `onAckReceived()` The method will be called when ack received.
`void` `onError(Exception e)`
`void` `onMessageWritten()`
`void` `resetSession(GridNioSession ses)`
`GridNioSession` `session()`
`boolean` `skipRecovery()`

### Method Detail

#### messageThread

    void messageThread(boolean msgThread)

Sets flag indicating that message send future was created in thread that was processing a message.

Parameters:
  `msgThread` - `True` if future was created in thread that is processing message.

#### messageThread

    boolean messageThread()

Returns:
  `True` if future was created in thread that was processing message.

#### skipRecovery

    boolean skipRecovery()

Returns:
  `True` if skip recovery for this operation.

#### onAckReceived

    void onAckReceived()

The method will be called when ack received.

#### ackClosure

    IgniteInClosure<IgniteException> ackClosure()

Returns:
  Ack closure.

#### session

    GridNioSession session()

Returns:
  Session.

#### resetSession

    void resetSession(GridNioSession ses)

Parameters:
  `ses` - Session.

#### onError

    void onError(Exception e)

#### message

    Object message()

Returns:
  Message.

#### onMessageWritten

    void onMessageWritten()

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017